com.hazelcast.core

## Enum MigrationEvent.MigrationStatus

- java.lang.Object
- - java.lang.Enum<MigrationEvent.MigrationStatus>
  - - com.hazelcast.core.MigrationEvent.MigrationStatus

- All Implemented Interfaces:
    Serializable, Comparable<MigrationEvent.MigrationStatus>
  Enclosing class:
    MigrationEvent

      public static enum MigrationEvent.MigrationStatus
      extends Enum<MigrationEvent.MigrationStatus>

  Migration status: Started, completed or failed

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETED` Migration has been completed
    `FAILED` Migration has failed
    `STARTED` Migration has been started

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MigrationEvent.MigrationStatus` | `readFrom(DataInput in)`
    `static MigrationEvent.MigrationStatus` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static MigrationEvent.MigrationStatus[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.
    `static void` | `writeTo(MigrationEvent.MigrationStatus status, DataOutput out)`

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STARTED

          public static final MigrationEvent.MigrationStatus STARTED

      Migration has been started

    - #### COMPLETED

          public static final MigrationEvent.MigrationStatus COMPLETED

      Migration has been completed

    - #### FAILED

          public static final MigrationEvent.MigrationStatus FAILED

      Migration has failed

  - ### Method Detail

    - #### values

          public static MigrationEvent.MigrationStatus[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MigrationEvent.MigrationStatus c : MigrationEvent.MigrationStatus.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MigrationEvent.MigrationStatus valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### writeTo

          public static void writeTo(MigrationEvent.MigrationStatus status,
                                     DataOutput out)
                              throws IOException

      Throws:
        `IOException`

    - #### readFrom

          public static MigrationEvent.MigrationStatus readFrom(DataInput in)
                                                         throws IOException

      Throws:
        `IOException`

Copyright © 2019. All rights reserved.